Subject: FW: Helen Derleth's Memorial
From: "Char Olson" <[email-masked]>
To: "Kirchstein Jim" <[email-masked]>
Date: Sat, 7 Dec 2013 19:24:05 -0600

Hi Jim.

I do remember hearing Peck's name when I was in grade school.

Maybe my folks had some business with him.

I talked to Flora Derleth Pings about Helen and was surprised she didn't
attend the service.

Her brother Don didn't either.

Have a good day.

 

From: Char Olson [mailto:[email-masked]] 
Sent: Saturday, December 7, 2013 7:19 PM
To: Julie Roelke; Karen Nelson; Ken Grant; Mark Wardecker; Pat Russell;
Price Kay; Roberts Jim; Schweitzer Mary; Tracy Heron; olson char
Subject: Helen Derleth's Memorial

 

In was an honor to represent ADS

Stay warm and well

Char